static vimoption_T options[] = {
  [0]={
    .fullname="aleph",
    .shortname="al",
    .flags=P_NUM|P_CURSWANT|P_VI_DEF,
    .var=(char_u *)&p_aleph,
    .indir=PV_NONE,
    .def_val={(char_u *) 224L, (char_u *) 0L},
  },
  [1]={
    .fullname="arabic",
    .shortname="arab",
    .flags=P_BOOL|P_CURSWANT|P_VI_DEF|P_VIM,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_ARAB),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [2]={
    .fullname="arabicshape",
    .shortname="arshape",
    .flags=P_BOOL|P_RALL|P_UI_OPTION|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_arshape,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [3]={
    .fullname="allowrevins",
    .shortname="ari",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_ari,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [4]={
    .fullname="ambiwidth",
    .shortname="ambw",
    .flags=P_STRING|P_RALL|P_UI_OPTION|P_VI_DEF,
    .var=(char_u *)&p_ambw,
    .indir=PV_NONE,
    .def_val={(char_u *) "single", (char_u *) 0L},
  },
  [5]={
    .fullname="autochdir",
    .shortname="acd",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_acd,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [6]={
    .fullname="autoindent",
    .shortname="ai",
    .flags=P_BOOL,
    .var=(char_u *)&p_ai,
    .indir=OPT_BUF(BV_AI),
    .def_val={(char_u *) false, (char_u *) true},
  },
  [7]={
    .fullname="autoread",
    .shortname="ar",
    .flags=P_BOOL,
    .var=(char_u *)&p_ar,
    .indir=OPT_BOTH(OPT_BUF(BV_AR)),
    .def_val={(char_u *) false, (char_u *) true},
  },
  [8]={
    .fullname="autowrite",
    .shortname="aw",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_aw,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [9]={
    .fullname="autowriteall",
    .shortname="awa",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_awa,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [10]={
    .fullname="background",
    .shortname="bg",
    .flags=P_STRING|P_RALL|P_VIM,
    .var=(char_u *)&p_bg,
    .indir=PV_NONE,
    .def_val={(char_u *) "light", (char_u *) "dark"},
  },
  [11]={
    .fullname="backspace",
    .shortname="bs",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_bs,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "indent,eol,start"},
  },
  [12]={
    .fullname="backup",
    .shortname="bk",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_bk,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [13]={
    .fullname="backupcopy",
    .shortname="bkc",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_bkc,
    .indir=OPT_BOTH(OPT_BUF(BV_BKC)),
#if defined(UNIX)
    .def_val={(char_u *) "yes", (char_u *) "auto"},
#else
    .def_val={(char_u *) "auto", (char_u *) "auto"},
#endif
  },
  [14]={
    .fullname="backupdir",
    .shortname="bdir",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_NO_DEF_EXP|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_bdir,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [15]={
    .fullname="backupext",
    .shortname="bex",
    .flags=P_STRING|P_VI_DEF|P_NFNAME,
    .var=(char_u *)&p_bex,
    .indir=PV_NONE,
    .def_val={(char_u *) "~", (char_u *) 0L},
  },
  [16]={
    .fullname="backupskip",
    .shortname="bsk",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_bsk,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [17]={
    .fullname="belloff",
    .shortname="bo",
    .flags=P_STRING|P_COMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_bo,
    .indir=PV_NONE,
    .def_val={(char_u *) "all", (char_u *) 0L},
  },
  [18]={
    .fullname="binary",
    .shortname="bin",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF,
    .var=(char_u *)&p_bin,
    .indir=OPT_BUF(BV_BIN),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [19]={
    .fullname="bomb",
    .flags=P_BOOL|P_RSTAT|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_bomb,
    .indir=OPT_BUF(BV_BOMB),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [20]={
    .fullname="breakat",
    .shortname="brk",
    .flags=P_STRING|P_FLAGLIST|P_RALL|P_VI_DEF,
    .var=(char_u *)&p_breakat,
    .indir=PV_NONE,
    .def_val={(char_u *) " \t!@*-+;:,./?", (char_u *) 0L},
  },
  [21]={
    .fullname="breakindent",
    .shortname="bri",
    .flags=P_BOOL|P_RWIN|P_VI_DEF|P_VIM,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_BRI),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [22]={
    .fullname="breakindentopt",
    .shortname="briopt",
    .flags=P_STRING|P_ONECOMMA|P_RBUF|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_BRIOPT),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [23]={
    .fullname="browsedir",
    .shortname="bsdir",
    .flags=P_STRING|P_VI_DEF,
    .indir=PV_NONE,
  },
  [24]={
    .fullname="bufhidden",
    .shortname="bh",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_NOGLOB,
    .var=(char_u *)&p_bh,
    .indir=OPT_BUF(BV_BH),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [25]={
    .fullname="buflisted",
    .shortname="bl",
    .flags=P_BOOL|P_VI_DEF|P_NOGLOB,
    .var=(char_u *)&p_bl,
    .indir=OPT_BUF(BV_BL),
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [26]={
    .fullname="buftype",
    .shortname="bt",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_NOGLOB,
    .var=(char_u *)&p_bt,
    .indir=OPT_BUF(BV_BT),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [27]={
    .fullname="casemap",
    .shortname="cmp",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cmp,
    .indir=PV_NONE,
    .def_val={(char_u *) "internal,keepascii", (char_u *) 0L},
  },
  [28]={
    .fullname="cdpath",
    .shortname="cd",
    .flags=P_STRING|P_COMMA|P_EXPAND|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_cdpath,
    .indir=PV_NONE,
    .def_val={(char_u *) ",,", (char_u *) 0L},
  },
  [29]={
    .fullname="cedit",
    .flags=P_STRING,
    .var=(char_u *)&p_cedit,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) CTRL_F_STR},
  },
  [30]={
    .fullname="channel",
    .flags=P_NUM|P_NODEFAULT|P_NO_MKRC,
    .var=(char_u *)&p_channel,
    .indir=OPT_BUF(BV_CHANNEL),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [31]={
    .fullname="charconvert",
    .shortname="ccv",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_ccv,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [32]={
    .fullname="cindent",
    .shortname="cin",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_cin,
    .indir=OPT_BUF(BV_CIN),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [33]={
    .fullname="cinkeys",
    .shortname="cink",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cink,
    .indir=OPT_BUF(BV_CINK),
    .def_val={(char_u *) "0{,0},0),0],:,0#,!^F,o,O,e", (char_u *) 0L},
  },
  [34]={
    .fullname="cinoptions",
    .shortname="cino",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cino,
    .indir=OPT_BUF(BV_CINO),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [35]={
    .fullname="cinwords",
    .shortname="cinw",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cinw,
    .indir=OPT_BUF(BV_CINW),
    .def_val={(char_u *) "if,else,while,do,for,switch", (char_u *) 0L},
  },
  [36]={
    .fullname="clipboard",
    .shortname="cb",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cb,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [37]={
    .fullname="cmdheight",
    .shortname="ch",
    .flags=P_NUM|P_RALL|P_VI_DEF,
    .var=(char_u *)&p_ch,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [38]={
    .fullname="cmdwinheight",
    .shortname="cwh",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_cwh,
    .indir=PV_NONE,
    .def_val={(char_u *) 7L, (char_u *) 0L},
  },
  [39]={
    .fullname="colorcolumn",
    .shortname="cc",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_VI_DEF|P_NODUP,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_CC),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [40]={
    .fullname="columns",
    .shortname="co",
    .flags=P_NUM|P_RCLR|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_columns,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_COLS, (char_u *) 0L},
  },
  [41]={
    .fullname="comments",
    .shortname="com",
    .flags=P_STRING|P_ONECOMMA|P_CURSWANT|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_com,
    .indir=OPT_BUF(BV_COM),
    .def_val={(char_u *) "s1:/*,mb:*,ex:*/,://,b:#,:%,:XCOMM,n:>,fb:-", (char_u *) 0L},
  },
  [42]={
    .fullname="commentstring",
    .shortname="cms",
    .flags=P_STRING|P_CURSWANT|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_cms,
    .indir=OPT_BUF(BV_CMS),
    .def_val={(char_u *) "/*%s*/", (char_u *) 0L},
  },
  [43]={
    .fullname="compatible",
    .shortname="cp",
    .flags=P_BOOL|P_RALL,
    .var=(char_u *)&p_force_off,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) false},
  },
  [44]={
    .fullname="complete",
    .shortname="cpt",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_NODUP,
    .var=(char_u *)&p_cpt,
    .indir=OPT_BUF(BV_CPT),
    .def_val={(char_u *) ".,w,b,u,t,i", (char_u *) ".,w,b,u,t"},
  },
  [45]={
    .fullname="concealcursor",
    .shortname="cocu",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_COCU),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [46]={
    .fullname="conceallevel",
    .shortname="cole",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_COLE),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [47]={
    .fullname="completefunc",
    .shortname="cfu",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_cfu,
    .indir=OPT_BUF(BV_CFU),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [48]={
    .fullname="completeopt",
    .shortname="cot",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_cot,
    .indir=PV_NONE,
    .def_val={(char_u *) "menu,preview", (char_u *) 0L},
  },
  [49]={
    .fullname="confirm",
    .shortname="cf",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_confirm,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [50]={
    .fullname="copyindent",
    .shortname="ci",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_ci,
    .indir=OPT_BUF(BV_CI),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [51]={
    .fullname="cpoptions",
    .shortname="cpo",
    .flags=P_STRING|P_FLAGLIST|P_RALL|P_VIM,
    .var=(char_u *)&p_cpo,
    .indir=PV_NONE,
    .def_val={(char_u *) CPO_VI, (char_u *) CPO_VIM},
  },
  [52]={
    .fullname="cscopepathcomp",
    .shortname="cspc",
    .flags=P_NUM|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_cspc,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [53]={
    .fullname="cscopeprg",
    .shortname="csprg",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_csprg,
    .indir=PV_NONE,
    .def_val={(char_u *) "cscope", (char_u *) 0L},
  },
  [54]={
    .fullname="cscopequickfix",
    .shortname="csqf",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_csqf,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [55]={
    .fullname="cscoperelative",
    .shortname="csre",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_csre,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [56]={
    .fullname="cscopetag",
    .shortname="cst",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_cst,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [57]={
    .fullname="cscopetagorder",
    .shortname="csto",
    .flags=P_NUM|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_csto,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [58]={
    .fullname="cscopeverbose",
    .shortname="csverb",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_csverbose,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [59]={
    .fullname="cursorbind",
    .shortname="crb",
    .flags=P_BOOL|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_CRBIND),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [60]={
    .fullname="cursorcolumn",
    .shortname="cuc",
    .flags=P_BOOL|P_RWINONLY|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_CUC),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [61]={
    .fullname="cursorline",
    .shortname="cul",
    .flags=P_BOOL|P_RWINONLY|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_CUL),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [62]={
    .fullname="debug",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_debug,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [63]={
    .fullname="define",
    .shortname="def",
    .flags=P_STRING|P_CURSWANT|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_def,
    .indir=OPT_BOTH(OPT_BUF(BV_DEF)),
    .def_val={(char_u *) "^\\s*#\\s*define", (char_u *) 0L},
  },
  [64]={
    .fullname="delcombine",
    .shortname="deco",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_deco,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [65]={
    .fullname="dictionary",
    .shortname="dict",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_VI_DEF|P_NDNAME|P_NODUP,
    .var=(char_u *)&p_dict,
    .indir=OPT_BOTH(OPT_BUF(BV_DICT)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [66]={
    .fullname="diff",
    .flags=P_BOOL|P_RWIN|P_VI_DEF|P_NOGLOB,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_DIFF),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [67]={
    .fullname="diffexpr",
    .shortname="dex",
    .flags=P_STRING|P_CURSWANT|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_dex,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [68]={
    .fullname="diffopt",
    .shortname="dip",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_dip,
    .indir=PV_NONE,
    .def_val={(char_u *) "internal,filler", (char_u *) 0L},
  },
  [69]={
    .fullname="digraph",
    .shortname="dg",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_dg,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [70]={
    .fullname="directory",
    .shortname="dir",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_NO_DEF_EXP|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_dir,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [71]={
    .fullname="display",
    .shortname="dy",
    .flags=P_STRING|P_ONECOMMA|P_RALL|P_VIM|P_NODUP,
    .var=(char_u *)&p_dy,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "lastline,msgsep"},
  },
  [72]={
    .fullname="eadirection",
    .shortname="ead",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_ead,
    .indir=PV_NONE,
    .def_val={(char_u *) "both", (char_u *) 0L},
  },
  [73]={
    .fullname="edcompatible",
    .shortname="ed",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_force_off,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [74]={
    .fullname="emoji",
    .shortname="emo",
    .flags=P_BOOL|P_RALL|P_UI_OPTION|P_VI_DEF,
    .var=(char_u *)&p_emoji,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [75]={
    .fullname="encoding",
    .shortname="enc",
    .flags=P_STRING|P_VI_DEF|P_NO_ML,
    .var=(char_u *)&p_enc,
    .indir=PV_NONE,
    .def_val={(char_u *) ENC_DFLT, (char_u *) 0L},
  },
  [76]={
    .fullname="endofline",
    .shortname="eol",
    .flags=P_BOOL|P_RSTAT|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_eol,
    .indir=OPT_BUF(BV_EOL),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [77]={
    .fullname="equalalways",
    .shortname="ea",
    .flags=P_BOOL|P_RALL|P_VI_DEF,
    .var=(char_u *)&p_ea,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [78]={
    .fullname="equalprg",
    .shortname="ep",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_ep,
    .indir=OPT_BOTH(OPT_BUF(BV_EP)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [79]={
    .fullname="errorbells",
    .shortname="eb",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_eb,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [80]={
    .fullname="errorfile",
    .shortname="ef",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_ef,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_ERRORFILE, (char_u *) 0L},
  },
  [81]={
    .fullname="errorformat",
    .shortname="efm",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_efm,
    .indir=OPT_BOTH(OPT_BUF(BV_EFM)),
    .def_val={(char_u *) DFLT_EFM, (char_u *) 0L},
  },
  [82]={
    .fullname="eventignore",
    .shortname="ei",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_ei,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [83]={
    .fullname="expandtab",
    .shortname="et",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_et,
    .indir=OPT_BUF(BV_ET),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [84]={
    .fullname="exrc",
    .shortname="ex",
    .flags=P_BOOL|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_exrc,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [85]={
    .fullname="fileencoding",
    .shortname="fenc",
    .flags=P_STRING|P_RSTAT|P_RBUF|P_ALLOCED|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_fenc,
    .indir=OPT_BUF(BV_FENC),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [86]={
    .fullname="fileencodings",
    .shortname="fencs",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_fencs,
    .indir=PV_NONE,
    .def_val={(char_u *) "ucs-bom,utf-8,default,latin1", (char_u *) 0L},
  },
  [87]={
    .fullname="fileformat",
    .shortname="ff",
    .flags=P_STRING|P_CURSWANT|P_RSTAT|P_ALLOCED|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_ff,
    .indir=OPT_BUF(BV_FF),
    .def_val={(char_u *) DFLT_FF, (char_u *) 0L},
  },
  [88]={
    .fullname="fileformats",
    .shortname="ffs",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_ffs,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_FFS_VI, (char_u *) DFLT_FFS_VIM},
  },
  [89]={
    .fullname="fileignorecase",
    .shortname="fic",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_fic,
    .indir=PV_NONE,
#if defined(CASE_INSENSITIVE_FILENAME)
    .def_val={(char_u *) true, (char_u *) 0L},
#else
    .def_val={(char_u *) false, (char_u *) 0L},
#endif
  },
  [90]={
    .fullname="filetype",
    .shortname="ft",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_NOGLOB|P_NFNAME,
    .var=(char_u *)&p_ft,
    .indir=OPT_BUF(BV_FT),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [91]={
    .fullname="fillchars",
    .shortname="fcs",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FCS),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [92]={
    .fullname="fixendofline",
    .shortname="fixeol",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF,
    .var=(char_u *)&p_fixeol,
    .indir=OPT_BUF(BV_FIXEOL),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [93]={
    .fullname="foldclose",
    .shortname="fcl",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_fcl,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [94]={
    .fullname="foldcolumn",
    .shortname="fdc",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDC),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [95]={
    .fullname="foldenable",
    .shortname="fen",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FEN),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [96]={
    .fullname="foldexpr",
    .shortname="fde",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF|P_VIM|P_MLE,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDE),
    .def_val={(char_u *) "0", (char_u *) 0L},
  },
  [97]={
    .fullname="foldignore",
    .shortname="fdi",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF|P_VIM,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDI),
    .def_val={(char_u *) "#", (char_u *) 0L},
  },
  [98]={
    .fullname="foldlevel",
    .shortname="fdl",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDL),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [99]={
    .fullname="foldlevelstart",
    .shortname="fdls",
    .flags=P_NUM|P_CURSWANT|P_VI_DEF,
    .var=(char_u *)&p_fdls,
    .indir=PV_NONE,
    .def_val={(char_u *) -1L, (char_u *) 0L},
  },
  [100]={
    .fullname="foldmarker",
    .shortname="fmr",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_ALLOCED|P_VI_DEF|P_VIM|P_NODUP,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FMR),
    .def_val={(char_u *) "{{{,}}}", (char_u *) 0L},
  },
  [101]={
    .fullname="foldmethod",
    .shortname="fdm",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF|P_VIM,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDM),
    .def_val={(char_u *) "manual", (char_u *) 0L},
  },
  [102]={
    .fullname="foldminlines",
    .shortname="fml",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FML),
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [103]={
    .fullname="foldnestmax",
    .shortname="fdn",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDN),
    .def_val={(char_u *) 20L, (char_u *) 0L},
  },
  [104]={
    .fullname="foldopen",
    .shortname="fdo",
    .flags=P_STRING|P_ONECOMMA|P_CURSWANT|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_fdo,
    .indir=PV_NONE,
    .def_val={(char_u *) "block,hor,mark,percent,quickfix,search,tag,undo", (char_u *) 0L},
  },
  [105]={
    .fullname="foldtext",
    .shortname="fdt",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF|P_VIM|P_MLE,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_FDT),
    .def_val={(char_u *) "foldtext()", (char_u *) 0L},
  },
  [106]={
    .fullname="formatexpr",
    .shortname="fex",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_VIM|P_MLE,
    .var=(char_u *)&p_fex,
    .indir=OPT_BUF(BV_FEX),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [107]={
    .fullname="formatoptions",
    .shortname="fo",
    .flags=P_STRING|P_FLAGLIST|P_ALLOCED|P_VIM,
    .var=(char_u *)&p_fo,
    .indir=OPT_BUF(BV_FO),
    .def_val={(char_u *) DFLT_FO_VI, (char_u *) DFLT_FO_VIM},
  },
  [108]={
    .fullname="formatlistpat",
    .shortname="flp",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_flp,
    .indir=OPT_BUF(BV_FLP),
    .def_val={(char_u *) "^\\s*\\d\\+[\\]:.)}\\t ]\\s*", (char_u *) 0L},
  },
  [109]={
    .fullname="formatprg",
    .shortname="fp",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_fp,
    .indir=OPT_BOTH(OPT_BUF(BV_FP)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [110]={
    .fullname="fsync",
    .shortname="fs",
    .flags=P_BOOL|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_fs,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [111]={
    .fullname="gdefault",
    .shortname="gd",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_gd,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [112]={
    .fullname="grepformat",
    .shortname="gfm",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_gefm,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_GREPFORMAT, (char_u *) 0L},
  },
  [113]={
    .fullname="grepprg",
    .shortname="gp",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_gp,
    .indir=OPT_BOTH(OPT_BUF(BV_GP)),
#if defined(WIN32)
    .def_val={(char_u *) "findstr /n $* nul", (char_u *) 0L},
#else
    .def_val={(char_u *) "grep -n $* /dev/null", (char_u *) 0L},
#endif
  },
  [114]={
    .fullname="guicursor",
    .shortname="gcr",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_guicursor,
    .indir=PV_NONE,
    .def_val={(char_u *) "n-v-c-sm:block,i-ci-ve:ver25,r-cr-o:hor20", (char_u *) 0L},
  },
  [115]={
    .fullname="guifont",
    .shortname="gfn",
    .flags=P_STRING|P_ONECOMMA|P_UI_OPTION|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_guifont,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [116]={
    .fullname="guifontset",
    .shortname="gfs",
    .flags=P_STRING|P_ONECOMMA|P_UI_OPTION|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_guifontset,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [117]={
    .fullname="guifontwide",
    .shortname="gfw",
    .flags=P_STRING|P_ONECOMMA|P_UI_OPTION|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_guifontwide,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [118]={
    .fullname="guioptions",
    .shortname="go",
    .flags=P_STRING|P_FLAGLIST|P_RALL|P_VI_DEF,
    .indir=PV_NONE,
  },
  [119]={
    .fullname="guitablabel",
    .shortname="gtl",
    .flags=P_STRING|P_RWIN|P_VI_DEF|P_MLE,
    .indir=PV_NONE,
  },
  [120]={
    .fullname="guitabtooltip",
    .shortname="gtt",
    .flags=P_STRING|P_RWIN|P_VI_DEF,
    .indir=PV_NONE,
  },
  [121]={
    .fullname="helpfile",
    .shortname="hf",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_hf,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_HELPFILE, (char_u *) 0L},
  },
  [122]={
    .fullname="helpheight",
    .shortname="hh",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_hh,
    .indir=PV_NONE,
    .def_val={(char_u *) 20L, (char_u *) 0L},
  },
  [123]={
    .fullname="helplang",
    .shortname="hlg",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_hlg,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [124]={
    .fullname="hidden",
    .shortname="hid",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_hid,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [125]={
    .fullname="highlight",
    .shortname="hl",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_hl,
    .indir=PV_NONE,
    .def_val={(char_u *) HIGHLIGHT_INIT, (char_u *) 0L},
  },
  [126]={
    .fullname="history",
    .shortname="hi",
    .flags=P_NUM|P_VIM,
    .var=(char_u *)&p_hi,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 10000L},
  },
  [127]={
    .fullname="hkmap",
    .shortname="hk",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_hkmap,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [128]={
    .fullname="hkmapp",
    .shortname="hkp",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_hkmapp,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [129]={
    .fullname="hlsearch",
    .shortname="hls",
    .flags=P_BOOL|P_RALL|P_VIM,
    .var=(char_u *)&p_hls,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [130]={
    .fullname="icon",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_icon,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [131]={
    .fullname="iconstring",
    .flags=P_STRING|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_iconstring,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [132]={
    .fullname="ignorecase",
    .shortname="ic",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_ic,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [133]={
    .fullname="imcmdline",
    .shortname="imc",
    .flags=P_BOOL|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [134]={
    .fullname="imdisable",
    .shortname="imd",
    .flags=P_BOOL|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [135]={
    .fullname="iminsert",
    .shortname="imi",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_iminsert,
    .indir=OPT_BUF(BV_IMI),
    .def_val={(char_u *) B_IMODE_NONE, (char_u *) 0L},
  },
  [136]={
    .fullname="imsearch",
    .shortname="ims",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_imsearch,
    .indir=OPT_BUF(BV_IMS),
    .def_val={(char_u *) B_IMODE_USE_INSERT, (char_u *) 0L},
  },
  [137]={
    .fullname="inccommand",
    .shortname="icm",
    .flags=P_STRING|P_RALL|P_VI_DEF,
    .var=(char_u *)&p_icm,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [138]={
    .fullname="include",
    .shortname="inc",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_inc,
    .indir=OPT_BOTH(OPT_BUF(BV_INC)),
    .def_val={(char_u *) "^\\s*#\\s*include", (char_u *) 0L},
  },
  [139]={
    .fullname="includeexpr",
    .shortname="inex",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_inex,
    .indir=OPT_BUF(BV_INEX),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [140]={
    .fullname="incsearch",
    .shortname="is",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_is,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [141]={
    .fullname="indentexpr",
    .shortname="inde",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_VIM|P_MLE,
    .var=(char_u *)&p_inde,
    .indir=OPT_BUF(BV_INDE),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [142]={
    .fullname="indentkeys",
    .shortname="indk",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_indk,
    .indir=OPT_BUF(BV_INDK),
    .def_val={(char_u *) "0{,0},0),0],:,0#,!^F,o,O,e", (char_u *) 0L},
  },
  [143]={
    .fullname="infercase",
    .shortname="inf",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_inf,
    .indir=OPT_BUF(BV_INF),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [144]={
    .fullname="insertmode",
    .shortname="im",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_im,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [145]={
    .fullname="isfname",
    .shortname="isf",
    .flags=P_STRING|P_COMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_isf,
    .indir=PV_NONE,
#if defined(BACKSLASH_IN_FILENAME)
    .def_val={(char_u *) "@,48-57,/,\\,.,-,_,+,,,#,$,%,{,},[,],:,@-@,!,~,=", (char_u *) 0L},
#else
    .def_val={(char_u *) "@,48-57,/,.,-,_,+,,,#,$,%,~,=", (char_u *) 0L},
#endif
  },
  [146]={
    .fullname="isident",
    .shortname="isi",
    .flags=P_STRING|P_COMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_isi,
    .indir=PV_NONE,
    .def_val={(char_u *) "@,48-57,_,192-255", (char_u *) 0L},
  },
  [147]={
    .fullname="iskeyword",
    .shortname="isk",
    .flags=P_STRING|P_COMMA|P_ALLOCED|P_VIM|P_NODUP,
    .var=(char_u *)&p_isk,
    .indir=OPT_BUF(BV_ISK),
    .def_val={(char_u *) "@,48-57,_", (char_u *) "@,48-57,_,192-255"},
  },
  [148]={
    .fullname="isprint",
    .shortname="isp",
    .flags=P_STRING|P_COMMA|P_RALL|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_isp,
    .indir=PV_NONE,
    .def_val={(char_u *) "@,161-255", (char_u *) 0L},
  },
  [149]={
    .fullname="joinspaces",
    .shortname="js",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_js,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [150]={
    .fullname="keymap",
    .shortname="kmp",
    .flags=P_STRING|P_RSTAT|P_RBUF|P_ALLOCED|P_VI_DEF|P_NFNAME|P_PRI_MKRC,
    .var=(char_u *)&p_keymap,
    .indir=OPT_BUF(BV_KMAP),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [151]={
    .fullname="keymodel",
    .shortname="km",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_km,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [152]={
    .fullname="keywordprg",
    .shortname="kp",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_kp,
    .indir=OPT_BOTH(OPT_BUF(BV_KP)),
    .def_val={(char_u *) ":Man", (char_u *) 0L},
  },
  [153]={
    .fullname="langmap",
    .shortname="lmap",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_langmap,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [154]={
    .fullname="langmenu",
    .shortname="lm",
    .flags=P_STRING|P_VI_DEF|P_NFNAME,
    .var=(char_u *)&p_lm,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [155]={
    .fullname="langnoremap",
    .shortname="lnr",
    .flags=P_BOOL,
    .var=(char_u *)&p_lnr,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [156]={
    .fullname="langremap",
    .shortname="lrm",
    .flags=P_BOOL,
    .var=(char_u *)&p_lrm,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) false},
  },
  [157]={
    .fullname="laststatus",
    .shortname="ls",
    .flags=P_NUM|P_RALL|P_VIM,
    .var=(char_u *)&p_ls,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 2L},
  },
  [158]={
    .fullname="lazyredraw",
    .shortname="lz",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_lz,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [159]={
    .fullname="linebreak",
    .shortname="lbr",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_LBR),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [160]={
    .fullname="lines",
    .flags=P_NUM|P_RCLR|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_lines,
    .indir=PV_NONE,
    .def_val={(char_u *) DFLT_ROWS, (char_u *) 0L},
  },
  [161]={
    .fullname="linespace",
    .shortname="lsp",
    .flags=P_NUM|P_UI_OPTION|P_VI_DEF,
    .var=(char_u *)&p_linespace,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [162]={
    .fullname="lisp",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_lisp,
    .indir=OPT_BUF(BV_LISP),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [163]={
    .fullname="lispwords",
    .shortname="lw",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_lispwords,
    .indir=OPT_BOTH(OPT_BUF(BV_LW)),
    .def_val={(char_u *) LISPWORD_VALUE, (char_u *) 0L},
  },
  [164]={
    .fullname="list",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_LIST),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [165]={
    .fullname="listchars",
    .shortname="lcs",
    .flags=P_STRING|P_ONECOMMA|P_RWIN|P_ALLOCED|P_VIM|P_NODUP,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_LCS),
    .def_val={(char_u *) "eol:$", (char_u *) "tab:> ,trail:-,nbsp:+"},
  },
  [166]={
    .fullname="loadplugins",
    .shortname="lpl",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_lpl,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [167]={
    .fullname="magic",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_magic,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [168]={
    .fullname="makeef",
    .shortname="mef",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_mef,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [169]={
    .fullname="makeencoding",
    .shortname="menc",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_menc,
    .indir=OPT_BOTH(OPT_BUF(BV_MENC)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [170]={
    .fullname="makeprg",
    .shortname="mp",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_mp,
    .indir=OPT_BOTH(OPT_BUF(BV_MP)),
    .def_val={(char_u *) "make", (char_u *) 0L},
  },
  [171]={
    .fullname="matchpairs",
    .shortname="mps",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_mps,
    .indir=OPT_BUF(BV_MPS),
    .def_val={(char_u *) "(:),{:},[:]", (char_u *) 0L},
  },
  [172]={
    .fullname="matchtime",
    .shortname="mat",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mat,
    .indir=PV_NONE,
    .def_val={(char_u *) 5L, (char_u *) 0L},
  },
  [173]={
    .fullname="maxcombine",
    .shortname="mco",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mco,
    .indir=PV_NONE,
    .def_val={(char_u *) 6L, (char_u *) 0L},
  },
  [174]={
    .fullname="maxfuncdepth",
    .shortname="mfd",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mfd,
    .indir=PV_NONE,
    .def_val={(char_u *) 100L, (char_u *) 0L},
  },
  [175]={
    .fullname="maxmapdepth",
    .shortname="mmd",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mmd,
    .indir=PV_NONE,
    .def_val={(char_u *) 1000L, (char_u *) 0L},
  },
  [176]={
    .fullname="maxmempattern",
    .shortname="mmp",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mmp,
    .indir=PV_NONE,
    .def_val={(char_u *) 1000L, (char_u *) 0L},
  },
  [177]={
    .fullname="menuitems",
    .shortname="mis",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mis,
    .indir=PV_NONE,
    .def_val={(char_u *) 25L, (char_u *) 0L},
  },
  [178]={
    .fullname="mkspellmem",
    .shortname="msm",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_msm,
    .indir=PV_NONE,
    .def_val={(char_u *) "460000,2000,500", (char_u *) 0L},
  },
  [179]={
    .fullname="modeline",
    .shortname="ml",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_ml,
    .indir=OPT_BUF(BV_ML),
    .def_val={(char_u *) false, (char_u *) true},
  },
  [180]={
    .fullname="modelineexpr",
    .shortname="mle",
    .flags=P_BOOL|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_mle,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [181]={
    .fullname="modelines",
    .shortname="mls",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mls,
    .indir=PV_NONE,
    .def_val={(char_u *) 5L, (char_u *) 0L},
  },
  [182]={
    .fullname="modifiable",
    .shortname="ma",
    .flags=P_BOOL|P_VI_DEF|P_NOGLOB,
    .var=(char_u *)&p_ma,
    .indir=OPT_BUF(BV_MA),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [183]={
    .fullname="modified",
    .shortname="mod",
    .flags=P_BOOL|P_RSTAT|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_mod,
    .indir=OPT_BUF(BV_MOD),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [184]={
    .fullname="more",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_more,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [185]={
    .fullname="mouse",
    .flags=P_STRING|P_FLAGLIST,
    .var=(char_u *)&p_mouse,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) ""},
  },
  [186]={
    .fullname="mousefocus",
    .shortname="mousef",
    .flags=P_BOOL|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [187]={
    .fullname="mousehide",
    .shortname="mh",
    .flags=P_BOOL|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [188]={
    .fullname="mousemodel",
    .shortname="mousem",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_mousem,
    .indir=PV_NONE,
    .def_val={(char_u *) "extend", (char_u *) 0L},
  },
  [189]={
    .fullname="mouseshape",
    .shortname="mouses",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .indir=PV_NONE,
  },
  [190]={
    .fullname="mousetime",
    .shortname="mouset",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_mouset,
    .indir=PV_NONE,
    .def_val={(char_u *) 500L, (char_u *) 0L},
  },
  [191]={
    .fullname="nrformats",
    .shortname="nf",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_NODUP,
    .var=(char_u *)&p_nf,
    .indir=OPT_BUF(BV_NF),
    .def_val={(char_u *) "bin,octal,hex", (char_u *) "bin,hex"},
  },
  [192]={
    .fullname="number",
    .shortname="nu",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_NU),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [193]={
    .fullname="numberwidth",
    .shortname="nuw",
    .flags=P_NUM|P_RWIN|P_VIM,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_NUW),
    .def_val={(char_u *) 8L, (char_u *) 4L},
  },
  [194]={
    .fullname="omnifunc",
    .shortname="ofu",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_ofu,
    .indir=OPT_BUF(BV_OFU),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [195]={
    .fullname="opendevice",
    .shortname="odev",
    .flags=P_BOOL|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) false},
  },
  [196]={
    .fullname="operatorfunc",
    .shortname="opfunc",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_opfunc,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [197]={
    .fullname="packpath",
    .shortname="pp",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_pp,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [198]={
    .fullname="paragraphs",
    .shortname="para",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_para,
    .indir=PV_NONE,
    .def_val={(char_u *) "IPLPPPQPP TPHPLIPpLpItpplpipbp", (char_u *) 0L},
  },
  [199]={
    .fullname="paste",
    .flags=P_BOOL|P_VI_DEF|P_PRI_MKRC,
    .var=(char_u *)&p_paste,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [200]={
    .fullname="pastetoggle",
    .shortname="pt",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_pt,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [201]={
    .fullname="patchexpr",
    .shortname="pex",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_pex,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [202]={
    .fullname="patchmode",
    .shortname="pm",
    .flags=P_STRING|P_VI_DEF|P_NFNAME,
    .var=(char_u *)&p_pm,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [203]={
    .fullname="path",
    .shortname="pa",
    .flags=P_STRING|P_COMMA|P_EXPAND|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_path,
    .indir=OPT_BOTH(OPT_BUF(BV_PATH)),
    .def_val={(char_u *) ".,/usr/include,,", (char_u *) 0L},
  },
  [204]={
    .fullname="preserveindent",
    .shortname="pi",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_pi,
    .indir=OPT_BUF(BV_PI),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [205]={
    .fullname="previewheight",
    .shortname="pvh",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_pvh,
    .indir=PV_NONE,
    .def_val={(char_u *) 12L, (char_u *) 0L},
  },
  [206]={
    .fullname="previewwindow",
    .shortname="pvw",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF|P_NOGLOB,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_PVW),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [207]={
    .fullname="printdevice",
    .shortname="pdev",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_pdev,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [208]={
    .fullname="printencoding",
    .shortname="penc",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_penc,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [209]={
    .fullname="printexpr",
    .shortname="pexpr",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_pexpr,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [210]={
    .fullname="printfont",
    .shortname="pfn",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_pfn,
    .indir=PV_NONE,
    .def_val={(char_u *) "courier", (char_u *) 0L},
  },
  [211]={
    .fullname="printheader",
    .shortname="pheader",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_header,
    .indir=PV_NONE,
    .def_val={(char_u *) "%<%f%h%m%=Page %N", (char_u *) 0L},
  },
  [212]={
    .fullname="printmbcharset",
    .shortname="pmbcs",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_pmcs,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [213]={
    .fullname="printmbfont",
    .shortname="pmbfn",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_pmfn,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [214]={
    .fullname="printoptions",
    .shortname="popt",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_popt,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [215]={
    .fullname="prompt",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_prompt,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [216]={
    .fullname="pumheight",
    .shortname="ph",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ph,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [217]={
    .fullname="pumblend",
    .shortname="pb",
    .flags=P_NUM|P_UI_OPTION|P_VI_DEF,
    .var=(char_u *)&p_pb,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [218]={
    .fullname="pyxversion",
    .shortname="pyx",
    .flags=P_NUM|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_pyx,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [219]={
    .fullname="quoteescape",
    .shortname="qe",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_qe,
    .indir=OPT_BUF(BV_QE),
    .def_val={(char_u *) "\\", (char_u *) 0L},
  },
  [220]={
    .fullname="readonly",
    .shortname="ro",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF|P_NOGLOB,
    .var=(char_u *)&p_ro,
    .indir=OPT_BUF(BV_RO),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [221]={
    .fullname="redrawdebug",
    .shortname="rdb",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF,
    .var=(char_u *)&p_rdb,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [222]={
    .fullname="redrawtime",
    .shortname="rdt",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_rdt,
    .indir=PV_NONE,
    .def_val={(char_u *) 2000L, (char_u *) 0L},
  },
  [223]={
    .fullname="regexpengine",
    .shortname="re",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_re,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [224]={
    .fullname="relativenumber",
    .shortname="rnu",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_RNU),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [225]={
    .fullname="remap",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_remap,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [226]={
    .fullname="report",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_report,
    .indir=PV_NONE,
    .def_val={(char_u *) 2L, (char_u *) 0L},
  },
  [227]={
    .fullname="revins",
    .shortname="ri",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_ri,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [228]={
    .fullname="rightleft",
    .shortname="rl",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_RL),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [229]={
    .fullname="rightleftcmd",
    .shortname="rlc",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_RLC),
    .def_val={(char_u *) "search", (char_u *) 0L},
  },
  [230]={
    .fullname="ruler",
    .shortname="ru",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_ru,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [231]={
    .fullname="rulerformat",
    .shortname="ruf",
    .flags=P_STRING|P_RSTAT|P_ALLOCED|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_ruf,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [232]={
    .fullname="runtimepath",
    .shortname="rtp",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_NO_DEF_EXP|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_rtp,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [233]={
    .fullname="scroll",
    .shortname="scr",
    .flags=P_NUM|P_NO_MKRC|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_SCROLL),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [234]={
    .fullname="scrollback",
    .shortname="scbk",
    .flags=P_NUM|P_RBUF|P_VI_DEF,
    .var=(char_u *)&p_scbk,
    .indir=OPT_BUF(BV_SCBK),
    .def_val={(char_u *) -1L, (char_u *) 0L},
  },
  [235]={
    .fullname="scrollbind",
    .shortname="scb",
    .flags=P_BOOL|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_SCBIND),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [236]={
    .fullname="scrolljump",
    .shortname="sj",
    .flags=P_NUM|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_sj,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [237]={
    .fullname="scrolloff",
    .shortname="so",
    .flags=P_NUM|P_RALL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_so,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [238]={
    .fullname="scrollopt",
    .shortname="sbo",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_sbo,
    .indir=PV_NONE,
    .def_val={(char_u *) "ver,jump", (char_u *) 0L},
  },
  [239]={
    .fullname="sections",
    .shortname="sect",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_sections,
    .indir=PV_NONE,
    .def_val={(char_u *) "SHNHH HUnhsh", (char_u *) 0L},
  },
  [240]={
    .fullname="secure",
    .flags=P_BOOL|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_secure,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [241]={
    .fullname="selection",
    .shortname="sel",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_sel,
    .indir=PV_NONE,
    .def_val={(char_u *) "inclusive", (char_u *) 0L},
  },
  [242]={
    .fullname="selectmode",
    .shortname="slm",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_slm,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [243]={
    .fullname="sessionoptions",
    .shortname="ssop",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_ssop,
    .indir=PV_NONE,
    .def_val={(char_u *) "blank,buffers,curdir,folds,help,options,tabpages,winsize", (char_u *) "blank,buffers,curdir,folds,help,tabpages,winsize"},
  },
  [244]={
    .fullname="shada",
    .shortname="sd",
    .flags=P_STRING|P_ONECOMMA|P_SECURE|P_NODUP,
    .var=(char_u *)&p_shada,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "!,'100,<50,s10,h"},
  },
  [245]={
    .fullname="shadafile",
    .shortname="sdf",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_shadafile,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [246]={
    .fullname="shell",
    .shortname="sh",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_sh,
    .indir=PV_NONE,
#if defined(WIN32)
    .def_val={(char_u *) "cmd.exe", (char_u *) 0L},
#else
    .def_val={(char_u *) "sh", (char_u *) 0L},
#endif
  },
  [247]={
    .fullname="shellcmdflag",
    .shortname="shcf",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_shcf,
    .indir=PV_NONE,
#if defined(WIN32)
    .def_val={(char_u *) "/s /c", (char_u *) 0L},
#else
    .def_val={(char_u *) "-c", (char_u *) 0L},
#endif
  },
  [248]={
    .fullname="shellpipe",
    .shortname="sp",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_sp,
    .indir=PV_NONE,
#if defined(WIN32)
    .def_val={(char_u *) ">%s 2>&1", (char_u *) 0L},
#else
    .def_val={(char_u *) "| tee", (char_u *) 0L},
#endif
  },
  [249]={
    .fullname="shellquote",
    .shortname="shq",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_shq,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [250]={
    .fullname="shellredir",
    .shortname="srr",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_srr,
    .indir=PV_NONE,
#if defined(WIN32)
    .def_val={(char_u *) ">%s 2>&1", (char_u *) 0L},
#else
    .def_val={(char_u *) ">", (char_u *) 0L},
#endif
  },
  [251]={
    .fullname="shellslash",
    .shortname="ssl",
    .flags=P_BOOL|P_VI_DEF,
#if defined(BACKSLASH_IN_FILENAME)
    .var=(char_u *)&p_ssl,
#endif
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [252]={
    .fullname="shelltemp",
    .shortname="stmp",
    .flags=P_BOOL,
    .var=(char_u *)&p_stmp,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [253]={
    .fullname="shellxquote",
    .shortname="sxq",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_sxq,
    .indir=PV_NONE,
#if defined(WIN32)
    .def_val={(char_u *) "\"", (char_u *) 0L},
#else
    .def_val={(char_u *) "", (char_u *) 0L},
#endif
  },
  [254]={
    .fullname="shellxescape",
    .shortname="sxe",
    .flags=P_STRING|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_sxe,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [255]={
    .fullname="shiftround",
    .shortname="sr",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_sr,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [256]={
    .fullname="shiftwidth",
    .shortname="sw",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_sw,
    .indir=OPT_BUF(BV_SW),
    .def_val={(char_u *) 8L, (char_u *) 0L},
  },
  [257]={
    .fullname="shortmess",
    .shortname="shm",
    .flags=P_STRING|P_FLAGLIST|P_VIM,
    .var=(char_u *)&p_shm,
    .indir=PV_NONE,
    .def_val={(char_u *) "S", (char_u *) "filnxtToOF"},
  },
  [258]={
    .fullname="showbreak",
    .shortname="sbr",
    .flags=P_STRING|P_RALL|P_VI_DEF,
    .var=(char_u *)&p_sbr,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [259]={
    .fullname="showcmd",
    .shortname="sc",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_sc,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [260]={
    .fullname="showfulltag",
    .shortname="sft",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_sft,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [261]={
    .fullname="showmatch",
    .shortname="sm",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_sm,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [262]={
    .fullname="showmode",
    .shortname="smd",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_smd,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [263]={
    .fullname="showtabline",
    .shortname="stal",
    .flags=P_NUM|P_RALL|P_UI_OPTION|P_VI_DEF,
    .var=(char_u *)&p_stal,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [264]={
    .fullname="sidescroll",
    .shortname="ss",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ss,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [265]={
    .fullname="sidescrolloff",
    .shortname="siso",
    .flags=P_NUM|P_RBUF|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_siso,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [266]={
    .fullname="signcolumn",
    .shortname="scl",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_SCL),
    .def_val={(char_u *) "auto", (char_u *) 0L},
  },
  [267]={
    .fullname="smartcase",
    .shortname="scs",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_scs,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [268]={
    .fullname="smartindent",
    .shortname="si",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_si,
    .indir=OPT_BUF(BV_SI),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [269]={
    .fullname="smarttab",
    .shortname="sta",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_sta,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [270]={
    .fullname="softtabstop",
    .shortname="sts",
    .flags=P_NUM|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_sts,
    .indir=OPT_BUF(BV_STS),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [271]={
    .fullname="spell",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_SPELL),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [272]={
    .fullname="spellcapcheck",
    .shortname="spc",
    .flags=P_STRING|P_RBUF|P_ALLOCED|P_VI_DEF,
    .var=(char_u *)&p_spc,
    .indir=OPT_BUF(BV_SPC),
    .def_val={(char_u *) "[.?!]\\_[\\])'\"\t ]\\+", (char_u *) 0L},
  },
  [273]={
    .fullname="spellfile",
    .shortname="spf",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_ALLOCED|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_spf,
    .indir=OPT_BUF(BV_SPF),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [274]={
    .fullname="spelllang",
    .shortname="spl",
    .flags=P_STRING|P_ONECOMMA|P_RBUF|P_EXPAND|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_spl,
    .indir=OPT_BUF(BV_SPL),
    .def_val={(char_u *) "en", (char_u *) 0L},
  },
  [275]={
    .fullname="spellsuggest",
    .shortname="sps",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_sps,
    .indir=PV_NONE,
    .def_val={(char_u *) "best", (char_u *) 0L},
  },
  [276]={
    .fullname="splitbelow",
    .shortname="sb",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_sb,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [277]={
    .fullname="splitright",
    .shortname="spr",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_spr,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [278]={
    .fullname="startofline",
    .shortname="sol",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_sol,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [279]={
    .fullname="statusline",
    .shortname="stl",
    .flags=P_STRING|P_RSTAT|P_ALLOCED|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_stl,
    .indir=OPT_BOTH(OPT_WIN(WV_STL)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [280]={
    .fullname="suffixes",
    .shortname="su",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_su,
    .indir=PV_NONE,
    .def_val={(char_u *) ".bak,~,.o,.h,.info,.swp,.obj", (char_u *) 0L},
  },
  [281]={
    .fullname="suffixesadd",
    .shortname="sua",
    .flags=P_STRING|P_ONECOMMA|P_ALLOCED|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_sua,
    .indir=OPT_BUF(BV_SUA),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [282]={
    .fullname="swapfile",
    .shortname="swf",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF,
    .var=(char_u *)&p_swf,
    .indir=OPT_BUF(BV_SWF),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [283]={
    .fullname="switchbuf",
    .shortname="swb",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_swb,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [284]={
    .fullname="synmaxcol",
    .shortname="smc",
    .flags=P_NUM|P_RBUF|P_VI_DEF,
    .var=(char_u *)&p_smc,
    .indir=OPT_BUF(BV_SMC),
    .def_val={(char_u *) 3000L, (char_u *) 0L},
  },
  [285]={
    .fullname="syntax",
    .shortname="syn",
    .flags=P_STRING|P_ALLOCED|P_VI_DEF|P_NOGLOB|P_NFNAME,
    .var=(char_u *)&p_syn,
    .indir=OPT_BUF(BV_SYN),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [286]={
    .fullname="tabline",
    .shortname="tal",
    .flags=P_STRING|P_RALL|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_tal,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [287]={
    .fullname="tabpagemax",
    .shortname="tpm",
    .flags=P_NUM|P_VIM,
    .var=(char_u *)&p_tpm,
    .indir=PV_NONE,
    .def_val={(char_u *) 10L, (char_u *) 50L},
  },
  [288]={
    .fullname="tabstop",
    .shortname="ts",
    .flags=P_NUM|P_RBUF|P_VI_DEF,
    .var=(char_u *)&p_ts,
    .indir=OPT_BUF(BV_TS),
    .def_val={(char_u *) 8L, (char_u *) 0L},
  },
  [289]={
    .fullname="tagbsearch",
    .shortname="tbs",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_tbs,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [290]={
    .fullname="tagcase",
    .shortname="tc",
    .flags=P_STRING|P_VIM,
    .var=(char_u *)&p_tc,
    .indir=OPT_BOTH(OPT_BUF(BV_TC)),
    .def_val={(char_u *) "followic", (char_u *) "followic"},
  },
  [291]={
    .fullname="taglength",
    .shortname="tl",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_tl,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [292]={
    .fullname="tagrelative",
    .shortname="tr",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_tr,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [293]={
    .fullname="tags",
    .shortname="tag",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_tags,
    .indir=OPT_BOTH(OPT_BUF(BV_TAGS)),
    .def_val={(char_u *) "./tags;,tags", (char_u *) 0L},
  },
  [294]={
    .fullname="tagstack",
    .shortname="tgst",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_tgst,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [295]={
    .fullname="termbidi",
    .shortname="tbidi",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_tbidi,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [296]={
    .fullname="termencoding",
    .shortname="tenc",
    .flags=P_STRING|P_VI_DEF,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [297]={
    .fullname="termguicolors",
    .shortname="tgc",
    .flags=P_BOOL|P_UI_OPTION,
    .var=(char_u *)&p_tgc,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [298]={
    .fullname="terse",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_terse,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [299]={
    .fullname="textwidth",
    .shortname="tw",
    .flags=P_NUM|P_RBUF|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_tw,
    .indir=OPT_BUF(BV_TW),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [300]={
    .fullname="thesaurus",
    .shortname="tsr",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_VI_DEF|P_NDNAME|P_NODUP,
    .var=(char_u *)&p_tsr,
    .indir=OPT_BOTH(OPT_BUF(BV_TSR)),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [301]={
    .fullname="tildeop",
    .shortname="top",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_to,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [302]={
    .fullname="timeout",
    .shortname="to",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_timeout,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [303]={
    .fullname="timeoutlen",
    .shortname="tm",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_tm,
    .indir=PV_NONE,
    .def_val={(char_u *) 1000L, (char_u *) 0L},
  },
  [304]={
    .fullname="title",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_title,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [305]={
    .fullname="titlelen",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_titlelen,
    .indir=PV_NONE,
    .def_val={(char_u *) 85L, (char_u *) 0L},
  },
  [306]={
    .fullname="titleold",
    .flags=P_STRING|P_NO_MKRC|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_titleold,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [307]={
    .fullname="titlestring",
    .flags=P_STRING|P_VI_DEF|P_MLE,
    .var=(char_u *)&p_titlestring,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [308]={
    .fullname="ttimeout",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_ttimeout,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [309]={
    .fullname="ttimeoutlen",
    .shortname="ttm",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ttm,
    .indir=PV_NONE,
    .def_val={(char_u *) 50L, (char_u *) 0L},
  },
  [310]={
    .fullname="ttyfast",
    .shortname="tf",
    .flags=P_BOOL|P_NO_MKRC|P_VI_DEF,
    .var=(char_u *)&p_force_on,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [311]={
    .fullname="undodir",
    .shortname="udir",
    .flags=P_STRING|P_ONECOMMA|P_EXPAND|P_NO_DEF_EXP|P_VI_DEF|P_SECURE|P_NODUP,
    .var=(char_u *)&p_udir,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [312]={
    .fullname="undofile",
    .shortname="udf",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_udf,
    .indir=OPT_BUF(BV_UDF),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [313]={
    .fullname="undolevels",
    .shortname="ul",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ul,
    .indir=OPT_BOTH(OPT_BUF(BV_UL)),
    .def_val={(char_u *) 1000L, (char_u *) 0L},
  },
  [314]={
    .fullname="undoreload",
    .shortname="ur",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ur,
    .indir=PV_NONE,
    .def_val={(char_u *) 10000L, (char_u *) 0L},
  },
  [315]={
    .fullname="updatecount",
    .shortname="uc",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_uc,
    .indir=PV_NONE,
    .def_val={(char_u *) 200L, (char_u *) 0L},
  },
  [316]={
    .fullname="updatetime",
    .shortname="ut",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_ut,
    .indir=PV_NONE,
    .def_val={(char_u *) 4000L, (char_u *) 0L},
  },
  [317]={
    .fullname="verbose",
    .shortname="vbs",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_verbose,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [318]={
    .fullname="verbosefile",
    .shortname="vfile",
    .flags=P_STRING|P_EXPAND|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_vfile,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [319]={
    .fullname="viewdir",
    .shortname="vdir",
    .flags=P_STRING|P_EXPAND|P_NO_DEF_EXP|P_VI_DEF|P_SECURE,
    .var=(char_u *)&p_vdir,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [320]={
    .fullname="viewoptions",
    .shortname="vop",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_vop,
    .indir=PV_NONE,
    .def_val={(char_u *) "folds,options,cursor,curdir", (char_u *) 0L},
  },
  [321]={
    .fullname="viminfo",
    .shortname="vi",
    .flags=P_STRING|P_NODEFAULT,
    .indir=PV_NONE,
  },
  [322]={
    .fullname="viminfofile",
    .shortname="vif",
    .flags=P_STRING|P_NODEFAULT,
    .indir=PV_NONE,
  },
  [323]={
    .fullname="virtualedit",
    .shortname="ve",
    .flags=P_STRING|P_ONECOMMA|P_CURSWANT|P_VI_DEF|P_VIM|P_NODUP,
    .var=(char_u *)&p_ve,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) ""},
  },
  [324]={
    .fullname="visualbell",
    .shortname="vb",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_vb,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [325]={
    .fullname="warn",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_warn,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [326]={
    .fullname="whichwrap",
    .shortname="ww",
    .flags=P_STRING|P_COMMA|P_FLAGLIST|P_VIM,
    .var=(char_u *)&p_ww,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "b,s"},
  },
  [327]={
    .fullname="wildchar",
    .shortname="wc",
    .flags=P_NUM|P_VIM,
    .var=(char_u *)&p_wc,
    .indir=PV_NONE,
    .def_val={(char_u *) (intptr_t)Ctrl_E, (char_u *) (intptr_t)TAB},
  },
  [328]={
    .fullname="wildcharm",
    .shortname="wcm",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wcm,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [329]={
    .fullname="wildignore",
    .shortname="wig",
    .flags=P_STRING|P_ONECOMMA|P_VI_DEF|P_NODUP,
    .var=(char_u *)&p_wig,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [330]={
    .fullname="wildignorecase",
    .shortname="wic",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_wic,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [331]={
    .fullname="wildmenu",
    .shortname="wmnu",
    .flags=P_BOOL|P_VIM,
    .var=(char_u *)&p_wmnu,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) true},
  },
  [332]={
    .fullname="wildmode",
    .shortname="wim",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_wim,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "full"},
  },
  [333]={
    .fullname="wildoptions",
    .shortname="wop",
    .flags=P_STRING|P_ONECOMMA|P_VIM|P_NODUP,
    .var=(char_u *)&p_wop,
    .indir=PV_NONE,
    .def_val={(char_u *) "", (char_u *) "pum,tagfile"},
  },
  [334]={
    .fullname="winaltkeys",
    .shortname="wak",
    .flags=P_STRING|P_VI_DEF,
    .var=(char_u *)&p_wak,
    .indir=PV_NONE,
    .def_val={(char_u *) "menu", (char_u *) 0L},
  },
  [335]={
    .fullname="winblend",
    .shortname="winbl",
    .flags=P_NUM|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_WINBL),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [336]={
    .fullname="winhighlight",
    .shortname="winhl",
    .flags=P_STRING|P_RWIN|P_ALLOCED|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_WINHL),
    .def_val={(char_u *) "", (char_u *) 0L},
  },
  [337]={
    .fullname="window",
    .shortname="wi",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_window,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [338]={
    .fullname="winheight",
    .shortname="wh",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wh,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [339]={
    .fullname="winfixheight",
    .shortname="wfh",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_WFH),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [340]={
    .fullname="winfixwidth",
    .shortname="wfw",
    .flags=P_BOOL|P_RSTAT|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_WFW),
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [341]={
    .fullname="winminheight",
    .shortname="wmh",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wmh,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [342]={
    .fullname="winminwidth",
    .shortname="wmw",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wmw,
    .indir=PV_NONE,
    .def_val={(char_u *) 1L, (char_u *) 0L},
  },
  [343]={
    .fullname="winwidth",
    .shortname="wiw",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wiw,
    .indir=PV_NONE,
    .def_val={(char_u *) 20L, (char_u *) 0L},
  },
  [344]={
    .fullname="wrap",
    .flags=P_BOOL|P_RWIN|P_VI_DEF,
    .var=VAR_WIN,
    .indir=OPT_WIN(WV_WRAP),
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [345]={
    .fullname="wrapmargin",
    .shortname="wm",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wm,
    .indir=OPT_BUF(BV_WM),
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [346]={
    .fullname="wrapscan",
    .shortname="ws",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_ws,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [347]={
    .fullname="write",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_write,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [348]={
    .fullname="writeany",
    .shortname="wa",
    .flags=P_BOOL|P_VI_DEF,
    .var=(char_u *)&p_wa,
    .indir=PV_NONE,
    .def_val={(char_u *) false, (char_u *) 0L},
  },
  [349]={
    .fullname="writebackup",
    .shortname="wb",
    .flags=P_BOOL|P_VI_DEF|P_VIM,
    .var=(char_u *)&p_wb,
    .indir=PV_NONE,
    .def_val={(char_u *) true, (char_u *) 0L},
  },
  [350]={
    .fullname="writedelay",
    .shortname="wd",
    .flags=P_NUM|P_VI_DEF,
    .var=(char_u *)&p_wd,
    .indir=PV_NONE,
    .def_val={(char_u *) 0L, (char_u *) 0L},
  },
  [351]={.fullname=NULL}
};

#define PV_SPELL OPT_WIN(WV_SPELL)
#define PV_CIN OPT_BUF(BV_CIN)
#define PV_FDI OPT_WIN(WV_FDI)
#define PV_BRI OPT_WIN(WV_BRI)
#define PV_WFH OPT_WIN(WV_WFH)
#define PV_MA OPT_BUF(BV_MA)
#define PV_BH OPT_BUF(BV_BH)
#define PV_BT OPT_BUF(BV_BT)
#define PV_CFU OPT_BUF(BV_CFU)
#define PV_SI OPT_BUF(BV_SI)
#define PV_SCBIND OPT_WIN(WV_SCBIND)
#define PV_FLP OPT_BUF(BV_FLP)
#define PV_AR OPT_BOTH(OPT_BUF(BV_AR))
#define PV_BIN OPT_BUF(BV_BIN)
#define PV_COCU OPT_WIN(WV_COCU)
#define PV_IMI OPT_BUF(BV_IMI)
#define PV_INC OPT_BOTH(OPT_BUF(BV_INC))
#define PV_CPT OPT_BUF(BV_CPT)
#define PV_WINBL OPT_WIN(WV_WINBL)
#define PV_WM OPT_BUF(BV_WM)
#define PV_WRAP OPT_WIN(WV_WRAP)
#define PV_INF OPT_BUF(BV_INF)
#define PV_FML OPT_WIN(WV_FML)
#define PV_CINO OPT_BUF(BV_CINO)
#define PV_SW OPT_BUF(BV_SW)
#define PV_ISK OPT_BUF(BV_ISK)
#define PV_MPS OPT_BUF(BV_MPS)
#define PV_CRBIND OPT_WIN(WV_CRBIND)
#define PV_PATH OPT_BOTH(OPT_BUF(BV_PATH))
#define PV_WINHL OPT_WIN(WV_WINHL)
#define PV_DICT OPT_BOTH(OPT_BUF(BV_DICT))
#define PV_FF OPT_BUF(BV_FF)
#define PV_UDF OPT_BUF(BV_UDF)
#define PV_RLC OPT_WIN(WV_RLC)
#define PV_LCS OPT_WIN(WV_LCS)
#define PV_PI OPT_BUF(BV_PI)
#define PV_BKC OPT_BOTH(OPT_BUF(BV_BKC))
#define PV_TSR OPT_BOTH(OPT_BUF(BV_TSR))
#define PV_AI OPT_BUF(BV_AI)
#define PV_CUC OPT_WIN(WV_CUC)
#define PV_TAGS OPT_BOTH(OPT_BUF(BV_TAGS))
#define PV_CC OPT_WIN(WV_CC)
#define PV_CINW OPT_BUF(BV_CINW)
#define PV_FP OPT_BOTH(OPT_BUF(BV_FP))
#define PV_LIST OPT_WIN(WV_LIST)
#define PV_FO OPT_BUF(BV_FO)
#define PV_FCS OPT_WIN(WV_FCS)
#define PV_INEX OPT_BUF(BV_INEX)
#define PV_ET OPT_BUF(BV_ET)
#define PV_CUL OPT_WIN(WV_CUL)
#define PV_TC OPT_BOTH(OPT_BUF(BV_TC))
#define PV_FDM OPT_WIN(WV_FDM)
#define PV_INDK OPT_BUF(BV_INDK)
#define PV_GP OPT_BOTH(OPT_BUF(BV_GP))
#define PV_KP OPT_BOTH(OPT_BUF(BV_KP))
#define PV_LBR OPT_WIN(WV_LBR)
#define PV_SPF OPT_BUF(BV_SPF)
#define PV_SMC OPT_BUF(BV_SMC)
#define PV_EOL OPT_BUF(BV_EOL)
#define PV_SWF OPT_BUF(BV_SWF)
#define PV_FMR OPT_WIN(WV_FMR)
#define PV_DIFF OPT_WIN(WV_DIFF)
#define PV_MENC OPT_BOTH(OPT_BUF(BV_MENC))
#define PV_RO OPT_BUF(BV_RO)
#define PV_CMS OPT_BUF(BV_CMS)
#define PV_CHANNEL OPT_BUF(BV_CHANNEL)
#define PV_STL OPT_BOTH(OPT_WIN(WV_STL))
#define PV_CINK OPT_BUF(BV_CINK)
#define PV_FIXEOL OPT_BUF(BV_FIXEOL)
#define PV_OFU OPT_BUF(BV_OFU)
#define PV_SPL OPT_BUF(BV_SPL)
#define PV_SYN OPT_BUF(BV_SYN)
#define PV_ML OPT_BUF(BV_ML)
#define PV_SPC OPT_BUF(BV_SPC)
#define PV_MP OPT_BOTH(OPT_BUF(BV_MP))
#define PV_PVW OPT_WIN(WV_PVW)
#define PV_SCBK OPT_BUF(BV_SCBK)
#define PV_RNU OPT_WIN(WV_RNU)
#define PV_LISP OPT_BUF(BV_LISP)
#define PV_RL OPT_WIN(WV_RL)
#define PV_EP OPT_BOTH(OPT_BUF(BV_EP))
#define PV_STS OPT_BUF(BV_STS)
#define PV_SCL OPT_WIN(WV_SCL)
#define PV_BRIOPT OPT_WIN(WV_BRIOPT)
#define PV_KMAP OPT_BUF(BV_KMAP)
#define PV_NUW OPT_WIN(WV_NUW)
#define PV_NU OPT_WIN(WV_NU)
#define PV_QE OPT_BUF(BV_QE)
#define PV_INDE OPT_BUF(BV_INDE)
#define PV_FDE OPT_WIN(WV_FDE)
#define PV_MOD OPT_BUF(BV_MOD)
#define PV_IMS OPT_BUF(BV_IMS)
#define PV_WFW OPT_WIN(WV_WFW)
#define PV_NF OPT_BUF(BV_NF)
#define PV_FENC OPT_BUF(BV_FENC)
#define PV_SCROLL OPT_WIN(WV_SCROLL)
#define PV_TS OPT_BUF(BV_TS)
#define PV_FEX OPT_BUF(BV_FEX)
#define PV_FDN OPT_WIN(WV_FDN)
#define PV_BOMB OPT_BUF(BV_BOMB)
#define PV_COM OPT_BUF(BV_COM)
#define PV_UL OPT_BOTH(OPT_BUF(BV_UL))
#define PV_FDL OPT_WIN(WV_FDL)
#define PV_TW OPT_BUF(BV_TW)
#define PV_COLE OPT_WIN(WV_COLE)
#define PV_FDT OPT_WIN(WV_FDT)
#define PV_FEN OPT_WIN(WV_FEN)
#define PV_DEF OPT_BOTH(OPT_BUF(BV_DEF))
#define PV_LW OPT_BOTH(OPT_BUF(BV_LW))
#define PV_CI OPT_BUF(BV_CI)
#define PV_SUA OPT_BUF(BV_SUA)
#define PV_EFM OPT_BOTH(OPT_BUF(BV_EFM))
#define PV_FDC OPT_WIN(WV_FDC)
#define PV_FT OPT_BUF(BV_FT)
#define PV_BL OPT_BUF(BV_BL)
#define PV_ARAB OPT_WIN(WV_ARAB)
